/*
 * Box_BoundaryConditionsUnitTest.hpp
 *
 *  Created on: Jan 2, 2012
 *      Author: heber
 */

#ifndef BOXUNITTEST_HPP_
#define BOXUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class Box_BoundaryConditionsTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( Box_BoundaryConditionsTest );
  CPPUNIT_TEST ( getTest );
  CPPUNIT_TEST ( setTest );
  CPPUNIT_TEST ( outputTest );
  CPPUNIT_TEST ( converterTest );
  CPPUNIT_TEST ( inputTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void getTest();
  void setTest();
  void outputTest();
  void converterTest();
  void inputTest();

private:
  BoundaryConditions::BCContainer *bc;
};

#endif /* BOXUNITTEST_HPP_ */
